Loading...
Searching...
No Matches
ranges::views::cartesian_product_fn Struct Reference

## Public Member Functions

constexpr empty_view< std::tuple<> > | operator() () const noexcept
template<typename... Rngs> requires (sizeof...(Rngs) != 0) && concepts::and_v<(forward_range<Rngs> && viewable_range<Rngs>)...>
constexpr cartesian_product_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const